Page MenuHomePhabricator

[mips][microMIPS] Implement CodeGen support for LI16 instruction
ClosedPublic

Authored by jkolek on Oct 17 2014, 3:01 AM.

Diff Detail

Event Timeline

jkolek updated this revision to Diff 15068.Oct 17 2014, 3:01 AM
jkolek retitled this revision from to [mips][microMIPS] Implement CodeGen support for LI16 instruction.
jkolek updated this object.
jkolek edited the test plan for this revision. (Show Details)
jkolek added reviewers: sstankovic, dsanders, vmedic.
jkolek added a subscriber: zoran.jovanovic.
jkolek updated this revision to Diff 15490.Oct 27 2014, 7:10 AM
sstankovic added inline comments.Oct 28 2014, 8:13 AM
test/CodeGen/Mips/micromips-li.ll
16

You should also add a test for ori instruction because you added a pattern for it.

jkolek added a subscriber: Unknown Object (MLST).Nov 18 2014, 5:42 AM
jkolek updated this revision to Diff 16653.Nov 26 2014, 8:26 AM

Added test for ORI instruction.

sstankovic accepted this revision.Dec 11 2014, 5:13 AM
sstankovic edited edge metadata.
This revision is now accepted and ready to land.Dec 11 2014, 5:13 AM
jkolek closed this revision.Dec 11 2014, 6:16 AM

Committed revision 224017.